import { defineStore } from 'pinia'
import { print } from 'graphql/language/printer'
import gql from 'graphql-tag'

// import REST from '@api/rest-axios'
// import GQL from '@api/graphql-axios'
// import JSONAPI from '@api/json-axios'
import MA from '@api/ma-axios'
import qs from 'querystring-es3'

// import StaticsFields from '@api/gql/statics.fragment.gql'

export const SearchStore = defineStore({
  id: 'search',
  state: () => ({
    keys: null,
    contentTypesFilter: [],
    results: []
  }),
  getters: {
    
  },
  actions: {
    setKeys (value) {
      this.keys = value.split(' ');
    },
    setContentTypes (v) {
      this.contentTypesFilter = v
    },
    loadResults () {
      console.log('search store loadResults', this.keys);
      // this.keys = keys;
      const params = {
        keys: this.keys.join(', ')
      }
      const q = qs.stringify(params)
      return MA.get('/ouatt_searchapi/getresults?' + q)
        .then(({ data }) => {
          console.log('search MA getresults data', data, data.nids)
          this.results = data.nids;
        })
        .catch((error) => {
          console.warn('Issue with getResults', error)
          // window.location.reload()
          Promise.reject(error)
        })
    }
  }
})